import React, { useEffect, useState } from 'react'
import NoAutomatedAnswer from '../automated-answer/no-automated-answer'
import { Spinner } from '../icons'

import styles from './automated-answer-container.module.css'

const AutomatedAnswerContainer = ({ question_id }) => {
  const [loading, setLoading] = useState(true)
  useEffect(() => {
    setTimeout(() => {
      setLoading(false)
    }, 4000)
    console.log(question_id)
  }, [question_id])
  return (
    <div className={styles.container}>
      <div className={styles.header}>
        <div className={styles.fill}>
          <h2>Automated Answer</h2>
        </div>
      </div>
      <div className={styles.wrapper}>
        {loading ? (
          <Spinner className={styles.spinner} />
        ) : (
          <NoAutomatedAnswer question_id={question_id} />
        )}
      </div>
    </div>
  )
}

export default AutomatedAnswerContainer
